#121 IBM HS21 XM (Type 7995) troubles.

open
None
6
2014-08-16
2011-08-16
jsw1
No

somewhere between a feature and a bug.

If I use the clonezilla-live-1.2.10-6-i686-pae.iso
I can see the hard disks - but I cannot attach to the network -
no supported network cards found.

The network card is a broadcom based card:
broadcom netxtreme II
boot agent v3.4.8

if I use the natty based solution
I cannot see the drives, so I did not try the network.

same with 1.2.9 486 version.
no drives.

I know ubuntu live natty will cd the drives and the network.

Discussion

1 2 > >> (Page 1 of 2)
  • jsw1

    jsw1 - 2011-08-16

    It affects many of IBM BladeCenter Blades so I hope you will fix it.

     
  • jsw1

    jsw1 - 2011-08-16
    • priority: 5 --> 8
     
  • jsw1

    jsw1 - 2011-08-16

    ps:
    see disk --
    sudo bash
    fdisk -l

    on working systems I see the partitions.
    on failing code I do not see anything returned.

     
  • jsw1

    jsw1 - 2011-08-17

    I see neither disk nor network in
    clonezilla-live-20110816-oneiric.iso

     
  • Steven Shiau

    Steven Shiau - 2011-08-17

    So do you have any idea about which linux kernel supports your network card?

    Steven.

     
  • Steven Shiau

    Steven Shiau - 2011-08-17
    • assigned_to: nobody --> steven_shiau
     
  • jsw1

    jsw1 - 2011-08-17

    disk as seen from dmesg:
    could copy more of it.....

    scsi0 : ioc0: LSISAS1064E B1, FwRev=01160000h, Ports=1, MaxQ=286, IRQ=169
    mptsas: ioc0: attaching ssp device: fw_channel 0, fw_id 1, phy 0, sas_addr 0x5000c5000a68537d
    Vendor: IBM-ESXS Model: ST973402SS Rev: B526
    Type: Direct-Access ANSI SCSI revision: 05
    SCSI device sda: 143374000 512-byte hdwr sectors (73407 MB)
    sda: Write Protect is off
    sda: Mode Sense: bb 00 10 08
    SCSI device sda: drive cache: write through w/ FUA
    SCSI device sda: 143374000 512-byte hdwr sectors (73407 MB)
    sda: Write Protect is off
    sda: Mode Sense: bb 00 10 08

    bnx2: eth0: using MSI
    ADDRCONF(NETDEV_UP): eth0: link is not ready
    bnx2i: iSCSI not supported, dev=eth0
    bnx2: eth0 NIC SerDes Link is Up, 1000 Mbps full duplex
    ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
    bnx2i: iSCSI not supported, dev=eth0
    Bluetooth: Core ver 2.10

    SCSI device sda: drive cache: write through w/ FUA
    sda: sda1 sda2
    sd 0:0:0:0: Attached scsi disk sda

    eth0: Broadcom NetXtreme II BCM5708 1000Base-SX (B2) PCI-X 64-bit 133MHz found at mem da000000, IRQ 98, node addr 001a645bfecc
    ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 90
    eth1: Broadcom NetXtreme II BCM5708 1000Base-SX (B2) PCI-X 64-bit 133MHz found at mem d8000000, IRQ 90, node addr 001a645bfece

     
  • Steven Shiau

    Steven Shiau - 2011-08-17

    I am sure bnx2 is included in Clonezilla live 20110816-oneiric:
    root@oneiric:/lib/firmware/3.0.0-8-generic# modinfo bnx2
    filename: /lib/modules/3.0.0-8-generic/kernel/drivers/net/bnx2.ko
    firmware: bnx2/bnx2-rv2p-09ax-6.0.17.fw
    firmware: bnx2/bnx2-rv2p-09-6.0.17.fw
    firmware: bnx2/bnx2-mips-09-6.2.1a.fw
    firmware: bnx2/bnx2-rv2p-06-6.0.15.fw
    firmware: bnx2/bnx2-mips-06-6.2.1.fw
    version: 2.1.6
    license: GPL
    description: Broadcom NetXtreme II BCM5706/5708/5709/5716 Driver
    author: Michael Chan <mchan@broadcom.com>

    The required firmwares exist, too.

    The info got from modinfo also shows that BCM5708 is supported... It's weird...
    Is that possible you can download Ubuntu Oneiric alpha 3 and test if your NIC is automatically detected or not?
    https://lists.ubuntu.com/archives/ubuntu-devel-announce/2011-August/000881.html

    Steven.

     
  • jsw1

    jsw1 - 2011-08-17

    I'll give it a try - today or tomorrow.
    I know RHEL 5.5 supports it.

    here is a kernel level I am running right now:
    in which networking and disk both work.
    Red Hat Enterprise Linux Server release 5.5 (Tikanga)

    Linux frm-kvm1 2.6.18-194.el5 #1 SMP Tue Mar 16 21:52:39 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

     
  • linuxcai

    linuxcai - 2011-12-24

    i have the same issue, my client is also ibm server, and its networkcard is 5709c, when i boot the client, it says the kenel doesn't support it...

     
  • jsw1

    jsw1 - 2011-12-28

    In browsing Ubuntu bugs .. there apparently have been several bugs not yet fixed on the bnx2 Netextreme network cards. The network issues (which include just not working, and then having a race condition with the fix) are supposedly fixed in the latest Precise release. I don't know if they will back port.

    I do not know what/why the hard disks were not showing up ..

    here is an Oct 2011 update for the broadcom drivers
    http://www-947.ibm.com/support/entry/portal/docdisplay?lndocid=MIGR-5081963

    re: disk
    An integrated LSI 1064 SAS/SATA Controller supporting one
    onboard SAS hard disk drive or a single or dual configured
    solid state drive.
    more info and gear here:
    http://www-03.ibm.com/systems/xbc/cog/Withdrawn/bc_hs21xm_7995/bc_hs21xm_7995aag.html

    not sure what disk the other fellow saw on the Dell.

     
  • jsw1

    jsw1 - 2011-12-28

    re: lsi 1064

    searching there is much grief in the land on ubuntu hardy .. and probably going forward....
    so much so that I did not want to post here.
    not sure if this helps.

     
  • Steven Shiau

    Steven Shiau - 2012-01-03

    Please give Clonezilla live 20120103-precise a try. It comes with linux kernel 3.2.0 and it might support your network card.
    Please let us know the results.
    Thanks.

    Steven.

     
  • Michael Brown

    Michael Brown - 2012-03-21

    I tried adding the firmware myself to the initrd for 1.2.12-10, but the kernel just doesn't like the initrd after I remake it. I tried doing:

    xzcat /media/CLONEZILLA/live/initrd.img > /tmp/initrd
    cd /; find lib/firmware/bnx2/ | cpio -o -H newc -O /tmp/initrd --append
    xz -c /tmp/initrd > /media/CLONEZILLA/live/initrd.img

    (I also tried recreating the cpio from scratch but got nowhere)

    but Linux doesn't like the initrd - it doesn't seem to be able to use it at all:

    Switching to clocksource tsc
    List of all partitions:
    No filesystem could mount root, tried:
    Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(2,0)

     
  • Michael Brown

    Michael Brown - 2012-03-21

    FYI: I've also tried the Ubuntu-based .iso but it isn't able to even bring up the card, I get the "Firmware not running" error.

     
  • Steven Shiau

    Steven Shiau - 2012-03-22

    When using xz to make such an initrd, you need to run it like:
    find . | cpio --quiet -o -H newc | xz -c -9 --check=crc32 > initrd.img
    "--check=crc32" is important.

    Steven.

     
  • Steven Shiau

    Steven Shiau - 2012-03-22

    When you mentioned ubuntu-based, did you use Clonezilla live 20120319-precise? Or?

    Steven.

     
  • Michael Brown

    Michael Brown - 2012-03-23

    '--check=crc32' made all the difference, thanks!

    We were trying the -oneric release.

    Want me to try the -precise one to test?

     
  • Steven Shiau

    Steven Shiau - 2012-04-05

    Yes, please, and please report the results.
    Thanks.

    Steven.

     
  • jsw1

    jsw1 - 2012-05-27

    Its been quite the delay. Sorry.
    All of these do not support the bnx2 driver

    C:\clonzilla>dir
    Volume in drive C has no label.
    Volume Serial Number is 543B-BF1E

    Directory of C:\clonzilla

    05/27/2012 01:35 PM <DIR> .
    05/27/2012 01:35 PM <DIR> ..
    05/27/2012 01:34 PM 111,149,056 clonezilla-live-1.2.12-37-i686-pae.iso
    05/27/2012 01:35 PM 113,246,208 clonezilla-live-1.2.12-60-i686-pae.iso
    05/27/2012 01:09 PM 118,489,088 clonezilla-live-20120326-oneiric.iso
    05/27/2012 01:08 PM 127,926,272 clonezilla-live-20120525-precise.iso
    4 File(s) 470,810,624 bytes

     
  • jsw1

    jsw1 - 2012-05-27
    • priority: 8 --> 6
     
  • jsw1

    jsw1 - 2012-05-27

    I am pretty sure we are hitting this unresolved Ubuntu bug
    Unresolved in oneiric and Precise

    bnx2 firmware missing
    udev in Ubuntu 11.10 has regressed support for certain hardware configurations,
    https://bugs.launchpad.net/ubuntu/+source/udev/+bug/842560

    all these at this time do not work.

    05/27/2012 02:15 PM <DIR> .
    05/27/2012 02:15 PM <DIR> ..
    05/27/2012 01:34 PM 111,149,056 clonezilla-live-1.2.12-37-i686-pae.iso
    05/27/2012 01:35 PM 113,246,208 clonezilla-live-1.2.12-60-i686-pae.iso
    05/27/2012 01:09 PM 118,489,088 clonezilla-live-20120326-oneiric.iso
    05/27/2012 01:08 PM 127,926,272 clonezilla-live-20120525-precise.iso
    05/27/2012 02:15 PM 290,478,637 openSUSE-11.3-GNOME-LiveCD-i686.iso
    5 File(s) 761,289,261 bytes
    2 Dir(s) 3,297,783,808 bytes free

     
1 2 > >> (Page 1 of 2)

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks